Commit 227811bb authored by Henry Weller's avatar Henry Weller
Browse files

etc/config.*: Added support for gcc-6.1

parent 482869ee
......@@ -246,6 +246,9 @@ case ThirdParty:
case Gcc53:
set gcc_version=gcc-5.3.0
breaksw
case Gcc61:
set gcc_version=gcc-6.1.0
breaksw
case Clang:
# Using clang - not gcc
setenv WM_CC 'clang'
......@@ -290,12 +293,12 @@ case ThirdParty:
_foamAddLib $gccDir/lib$WM_COMPILER_LIB_ARCH
# Add gmp/mpfr libraries to run-time environment
_foamAddLib $gmpDir/lib
_foamAddLib $mpfrDir/lib
_foamAddLib $gmpDir/lib$WM_COMPILER_LIB_ARCH
_foamAddLib $mpfrDir/lib$WM_COMPILER_LIB_ARCH
# Add mpc libraries (not need for older gcc) to run-time environment
if ( $?mpc_version ) then
_foamAddLib $mpcDir/lib
_foamAddLib $mpcDir/lib$WM_COMPILER_LIB_ARCH
endif
# Used by boost/CGAL:
......
......@@ -63,6 +63,9 @@ OpenFOAM | ThirdParty)
Gcc53)
gcc_version=gcc-5.3.0
;;
Gcc61)
gcc_version=gcc-6.1.0
;;
Clang)
# Using clang - not gcc
export WM_CC='clang'
......
......@@ -241,13 +241,13 @@ OpenFOAM | ThirdParty)
_foamAddLib $gccDir/lib$WM_COMPILER_LIB_ARCH
# Add gmp/mpfr libraries to run-time environment
_foamAddLib $gmpDir/lib
_foamAddLib $mpfrDir/lib
_foamAddLib $gmpDir/lib$WM_COMPILER_LIB_ARCH
_foamAddLib $mpfrDir/lib$WM_COMPILER_LIB_ARCH
# Add mpc libraries (not need for older gcc) to run-time environment
if [ -n "$mpc_version" ]
then
_foamAddLib $mpcDir/lib
_foamAddLib $mpcDir/lib$WM_COMPILER_LIB_ARCH
fi
# Used by boost/CGAL:
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment